ata_check_atapi_dma
Prev | Chapter 5. libata Core Internals | Next

## Name

ata_check_atapi_dma — Check whether ATAPI DMA can be supported

## Synopsis

`int ata_check_atapi_dma (` | struct ata_queued_cmd * | qc`)`;

## Arguments

`qc`

  Metadata associated with taskfile to check

## Description

Allow low-level driver to filter ATA PACKET commands, returning a status indicating whether or not it is OK to use DMA for the supplied PACKET command.

## LOCKING

spin_lock_irqsave(host lock)

## RETURNS

0 when ATAPI DMA can be used nonzero otherwise

Prev | Up | Next
ata_fill_sg_dumb | Home | atapi_qc_may_overflow